var MaxStringLength = 24;
var MaxIntegerLength = 8;
var MaxPasswordLength = 30;

function isOrayString(value, alertError, InputName) {
	if (value != null && value.match(new RegExp("^[:\!/_@0-9a-zA-Z\-\.\ ]{1," + 16 + "}$"))) 
		return true;	
	else {
		if (alertError) {
			alert (Inp[language_index] + InputName + LenFromA[language_index] + 16 + LenFromB[language_index]);
		}
		return false;	
	}
}

function isEqual(str1, str2)
{
	return (str1==str2);
}

function isEqualIgnoreCase(str1, str2)
{
	return (str1.toUpperCase()==str2.toUpperCase());
}

function verifyStringLength(value, m, n, alertError, InputName) {
	if ( value != null && value.length >= m && value.length <= n ) 
		return true;	
	else {
		if (alertError) {
			alert (Inp[language_index] + InputName + LenFromC[language_index] + n + LenFromD[language_index]);
		}
		return false;	
	}
}

function isEMail (email, alertError, InputName) {
	if (email != null && (m = email.match(new RegExp("^[\\w\\.=-]+@[\\w\\.-]+\\.[\\w]{2,4}$"))))
	{
		if( verifyStringLength(email, 0, 50, alertError, InputName) != true )
			return false;
		return true;
	}
	else {
		if (alertError)
			alert (Live_EmailErrA[language_index] + InputName + Live_FormatErrB[language_index] + email + Live_EmailErrC[language_index]);
		return false;
	}
}

function isInteger (value, alertError, InputName) {
	if (value != null && value.match(new RegExp("^[-]?\\d{1," + MaxIntegerLength + "}$")))
		return true;
	else {
		if (alertError)
			alert (Inp[language_index] + InputName + Live_FormatErrB[language_index] + value + MxLens[language_index] + MaxIntegerLength + ")!");
		return false;
	}
}

function isEmpty (value, alertError, InputName) {
	if (value == null || value.length == 0)
		return true;
	else {
		if (alertError)
			alert(InputName + isEmp[language_index]);
		return false;
	}
}

function isNotEmpty (value, alertError, InputName) {
	if (value != null && value.length > 0)
		return true;
	else {
		if (alertError)
			alert (InputName + isNotEmp[language_index]);
		return false;
	}
}

function isMIPAddress (value, alertError, InputName){
	if (value != null){
		var ipnum = value.split(".");
		if((parseInt(ipnum[0])<240) && (parseInt(ipnum[0])>224) &&
			(parseInt(ipnum[1])<256) &&
			(parseInt(ipnum[2])<256) &&
			(parseInt(ipnum[3])<256) && (parseInt(ipnum[3])>0))
			if(value.match("^(\\d{1,3})\\.(\\d{1,3})\\.(\\d{1,3})\\.(\\d{1,3})$"))
				return true;	
		if((parseInt(ipnum[0])==224) &&
			(parseInt(ipnum[1])<256 && parseInt(ipnum[1])>0 ) &&
			(parseInt(ipnum[2])<256 && parseInt(ipnum[2])>0 ) &&
			(parseInt(ipnum[3])<256) && (parseInt(ipnum[3])>0))
			if(value.match("^(\\d{1,3})\\.(\\d{1,3})\\.(\\d{1,3})\\.(\\d{1,3})$"))
				return true;
	}
	if (alertError)
		alert (Inp[language_index] + InputName + Live_FormatErrB[language_index]);
	return false;
}

function isIPAddress (value, alertError, InputName) {
	if (value != null && value.match("^(\\d{1,3})\\.(\\d{1,3})\\.(\\d{1,3})\\.(\\d{1,3})$"))
		return true;	
	else {
		if (alertError) {
			alert (Inp[language_index] + InputName + Live_FormatErrB[language_index]);
		}
		return false;
	}
}

function isEventFilenameString(value, alertError, InputName) {
	if (value != null && value.match(new RegExp("^[a-zA-Z]{1," + MaxStringLength + "}$"))) 
		return true;	
	else {
		if (alertError) {
			alert (Inp[language_index] + InputName + LenFromA[language_index] + MaxStringLength + LenFromE[language_index]);
		}
		return false;	
	}
}

function isVariNormalString(value, alertError, InputName) {
	if (value != null && value.match(new RegExp("^[:\!/_@0-9a-zA-Z\-\.\ ]{1,}$"))) 
		return true;	
	else {
		if (alertError) {
			alert (Inp[language_index] + InputName + RihgtFormatChar[language_index]);
		}
		return false;	
	}
}

function isRecFilename(value, alertError, InputName) {
	if (value != null && value.match(new RegExp("^[:\!_@0-9a-zA-Z\-\.\ ]{1," + MaxStringLength + "}$"))) 
		return true;	
	else {
		if (alertError) {
			alert (Inp[language_index] + InputName + LenFromA[language_index] + MaxStringLength + LenFromB[language_index]);
		}
		return false;	
	}
}

function isNormalString(value, alertError, InputName) {
	if (value != null && value.match(new RegExp("^[:\!/_@0-9a-zA-Z\-\.\ ]{1," + MaxStringLength + "}$"))) 
		return true;	
	else {
		if (alertError) {
			alert (Inp[language_index] + InputName + LenFromA[language_index] + MaxStringLength + LenFromB[language_index]);
		}
		return false;	
	}
}

function isPassword(value, alertError, InputName) {
	return verifyStringLength(value, 0, MaxPasswordLength, alertError, InputName);
}

function isExternString(value, alertError, InputName) {
	if (value != null && value.match(new RegExp("^[:\!/_^@0-9a-zA-Z\-\.\ ]{1," + MaxStringLength + "}$"))) 
		return true;	
	else {
		if (alertError) {
			alert (Inp[language_index] + InputName + LenFromA[language_index] + 24 + LenFromB[language_index]);
		}
		return false;	
	}
}

function isPort (value, alertError, InputName) {
	if (value != null && value >= 1 && value <= 65535)
		return true;	
	else {
		if (alertError) {
			alert (Inp[language_index] + InputName + Live_FormatErrB[language_index] + value + PortRange[language_index]);
		}
		return false;
	}
}

function isQoS(value, alertError, InputName) {
	if (value != null && value >= 0 && value <= 63)
		return true;	
	else {
		if (alertError) {
			
			alert (Inp[language_index] + InputName + Live_FormatErrB[language_index] + value +QoSRange[language_index]);
		}
		return false;
	}
}

function isMPort (value, alertError, InputName) {
	var mod = value%2;
	if (value != null && value >= 2 && value <= 65535 && mod == 0)
		return true;	
	else {
		if (alertError) {
			alert (Inp[language_index] + InputName + Live_FormatErrB[language_index] + value + MultiPortRange[language_index]);
		}
		return false;
	}
}

function isMTTL (value, alertError, InputName) {
	if (value != null && value >= 1 && value <= 255)
		return true;	
	else {
		if (alertError) {
			alert (Inp[language_index] + InputName + Live_FormatErrB[language_index] + value + PortRange1[language_index]);
		}
		return false;
	}
}

function isValidRange (value, min_int, max_int, alertError, InputName) {
	if (isInteger (value, 0, InputName) && 
	(parseInt(value) >= parseInt(min_int) && parseInt(value) <= parseInt(max_int)) )
		return true;
	else {
		if (alertError)
			alert (Inp[language_index] + InputName + Live_FormatErrB[language_index] + value + isVA[language_index] + min_int + isVB[language_index] + max_int + ")!");
		return false;
	}
}

function isFPS (value, tv_standard, alertError, InputName) {
	var min_fps = 1;
	var max_fps = (tv_standard == "ntsc") ? 30 : 25;
	if (value != null && value.match(new RegExp("^\\d{1," + MaxIntegerLength + "}$")) && (value >= min_fps && value <=max_fps )) {
		return true;
	} else {
		if (alertError)
			alert (Inp[language_index] + InputName + Live_FormatErrB[language_index] + value + isVA[language_index] + min_fps + isVB[language_index] + max_fps + ")!");
		return false;
	}
}

function isGOP (value, alertError, InputName) {
	var min_gop = 1;
	var max_gop = 60;
	if (value != null && value.match(new RegExp("^\\d{1," + MaxIntegerLength + "}$")) && (value >= min_gop && value <=max_gop )) {
		return true;
	} else {
		if (alertError)
			alert (Inp[language_index] + InputName + Live_FormatErrB[language_index] + value + isVA[language_index] + min_gop + isVB[language_index] + max_gop + ")!");
		return false;
	}
}

function isDomain (domain, alertError, InputName) {
	if (domain != null && (m = domain.match(new RegExp("^[\\w\\.-]+\\.[\\w]{1,}$"))))
		return true;
	else {
		if (alertError)
			alert (Inp[language_index] + InputName + Live_FormatErrB[language_index] + domain );
		return false;
	}
}

function isCIDR (cidr, alertError, InputName) {
        if (cidr != null) { 
		if (cidr.match("^(\\d{1,3})\\.(\\d{1,3})\\.(\\d{1,3})\\.(\\d{1,3})$"))
                	return true;
		if (cidr.match("^(\\d{1,3})\\.(\\d{1,3})\\.(\\d{1,3})\\.(\\d{1,3})/[0-9]{1,2}$"))
                        return true;
        }
        if (alertError)
	        alert (Inp[language_index] + InputName + Live_FormatErrB[language_index] + cidr + isCI[language_index]);
        return false;
}

function isUSDate (Date, alertError, InputName) {
//if (Date != null && (m = Date.match(new RegExp("^[0-9]{4}-(0[1-9]|[1-9]|1[0-2])-(0[1-9]|[1-9]|1[0-9]|2[0-9]|3[0-1])$"))))
if (Date != null && (m = Date.match(new RegExp("^(0[1-9]|[1-9]|1[0-2])/(0[1-9]|[1-9]|1[0-9]|2[0-9]|3[0-1])/([0-9]{4})$"))))
	{
	
		var year = parseInt(m[3]);
		
		if( year >= 1900 && year <=2100 )
			return true;
	}
	if (alertError)
		alert (Inp[language_index] + InputName + Live_FormatErrB[language_index] + Date + DateExUS[language_index]);
	return false;
}

function isDate (Date, alertError, InputName) {
	if (Date != null && (m = Date.match(new RegExp("^[0-9]{4}-(0[1-9]|[1-9]|1[0-2])-(0[1-9]|[1-9]|1[0-9]|2[0-9]|3[0-1])$"))))
	{
		var year = parseInt(m[0]);
		if( year >= 1970 && year <=2037 )
			return true;
	}
	if (alertError)
		alert (Inp[language_index] + InputName + Live_FormatErrB[language_index] + Date + DateEx[language_index]);
	return false;
}

function isTime (Time, alertError, InputName) {
	if (Time != null && (m = Time.match(new RegExp("^([0-9]|[0-1][0-9]|2[0-3]):([0-9]|[0-5][0-9]):([0-9]|[0-5][0-9])$"))))
		return true;
	else {
		if (alertError)
			alert (Inp[language_index] + InputName + Live_FormatErrB[language_index] + Time + Timera[language_index]);
		return false;
	}
}

function isShortTime (Time, alertError, InputName) {
	if (Time != null && (m = Time.match(new RegExp("^([0-1][0-9]|2[0-3]):(0[0-9]|[1-5][0-9])$"))))
		return true;
	else {
		if (alertError)
			alert (Inp[language_index] + InputName + Live_FormatErrB[language_index] + Time + TimeraShort[language_index]);
		return false;
	}
}

function isHEX (value, alertError, InputName) {
	if (value != null && (m = value.match(new RegExp("^[0-9a-fA-F]{2}$"))))
		return true;
	else
	{
		if (alertError)
			alert (Inp[language_index] + InputName + Live_FormatErrB[language_index] + value + HexRange[language_index]);
		return false;
	}
}

function isMAC (MAC, alertError, InputName) {
	if (MAC != null && (m = MAC.match(new RegExp("^[0-9a-fA-F]{2}:[0-9a-fA-F]{2}:[0-9a-fA-F]{2}:[0-9a-fA-F]{2}:[0-9a-fA-F]{2}:[0-9a-fA-F]{2}$"))))
		return true;
	else {
		if (alertError)
			alert (Inp[language_index] + InputName + Live_FormatErrB[language_index] + MAC + MacRange[language_index]);
		return false;
	}
}

function isWEPKey(KEY, WEP_Type, defKey, alertError, InputName) {
	if (WEP_Type == 0)
		return true;
/*
	if (KEY == null && !defKey)
                return true;
	if (KEY.length == 0 && !defKey)
		return true;
*/
	if (WEP_Type == 1) {
		if (KEY != null && (m = KEY.match(new RegExp("^[0-9a-fA-F]{10}$"))))
			return true;
	} else if (WEP_Type == 2) {
		if (KEY != null && KEY.length == 5)
			return true;
	} else if (WEP_Type == 3) {
		if (KEY != null && (m = KEY.match(new RegExp("^[0-9a-fA-F]{26}$"))))
			return true;
	} else if (WEP_Type == 4) {
		if (KEY != null && KEY.length == 13)
			return true;
	}
        if (alertError)
                alert (Inp[language_index] + InputName + Live_FormatErrB[language_index] + KEY + "' !\n");
        return false;
}

function isUNCPath(path) {
        // for windows UNC is smth like \\servername\folder...
        return path.match(new RegExp("^\\\\\\\\.+"));
}



function isSquareRange (value, min_int, max_int, alertError, InputName) {
	
	
	if(parseInt(value) >= parseInt(min_int) && parseInt(value) <= parseInt(max_int))
	{	
		return true;
	}
	else {
		
		if (alertError)
		alert (Inp[language_index] + InputName + Live_FormatErrB[language_index] + value + isVA[language_index] + min_int + isVB[language_index] + max_int + ")!");
		return false;
	}
	
}